##
##  apache-kerberos.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         apache-kerberos
Summary:      Apache Extension: Kerberos Authentication
URL:          http://modauthkerb.sourceforge.net/
Vendor:       Masaryk University et al.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      Open Source
Version:      5.4
Release:      20090326

#   list of sources
Source0:      http://switch.dl.sourceforge.net/modauthkerb/mod_auth_kerb-%{version}.tar.gz
Source1:      apache-kerberos.conf
Patch0:       apache-kerberos.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, make
PreReq:       OpenPKG, openpkg >= 20060823
BuildPreReq:  apache, KERBEROS
PreReq:       apache, KERBEROS
AutoReq:      no
AutoReqProv:  no

%description
    This is the Kerberos authentication extension module for the Apache
    HTTP webserver.

%track
    prog apache-kerberos = {
        version   = %{version}
        url       = http://prdownloads.sourceforge.net/modauthkerb/
        regex     = mod_auth_kerb-(\d+\.\d+(\.\d+)*)\.tar\.gz
    }

%prep
    %setup -q -n mod_auth_kerb-%{version}
    %patch -p0

%build
    #   build module
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-apache=%{l_prefix} \
        --with-krb5=%{l_prefix} \
        --without-krb4
    %{l_make} %{l_mflags}

%install
    #   install module
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache
    %{l_shtool} install -c -m 755 \
        src/.libs/mod_auth_kerb.so \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE apache-kerberos.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/apache/apache.d/apache-kerberos.conf'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    #   after upgrade, restart service
    [ $1 -eq 2 ] || exit 0
    eval `%{l_rc} apache status 2>/dev/null`
    [ ".$apache_active" = .yes ] && %{l_rc} apache restart
    exit 0

